Subject: Re: [PATCH bpf-next] libbpf: relicense libbpf as LGPL-2.1 OR BSD-2-Clause

From: Jesper Dangaard Brouer <[email-masked]>
Date: Mon, 8 Oct 2018 11:11:54 +0200

On Mon, 8 Oct 2018 10:15:10 +0200
Daniel Borkmann <[email-masked]> wrote:

> On 10/05/2018 11:24 PM, Alexei Starovoitov wrote:
> > libbpf is maturing as a library and gaining features that no other bpf libraries support
> > (BPF Type Format, bpf to bpf calls, etc)
> > Many Apache2 licensed projects (like bcc, bpftrace, gobpf, cilium, etc)
> > would like to use libbpf, but cannot do this yet, since Apache Foundation explicitly
> > states that LGPL is incompatible with Apache2.
> > Hence let's relicense libbpf as dual license LGPL-2.1 or BSD-2-Clause,
> > since BSD-2 is compatible with Apache2.
> > Dual LGPL or Apache2 is invalid combination.
> > Fix license mistake in Makefile as well.
> > 
> > Signed-off-by: Alexei Starovoitov <[email-masked]>
> > Acked-by: Andrey Ignatov <[email-masked]>
> > Acked-by: Arnaldo Carvalho de Melo <[email-masked]>
> > Acked-by: Björn Töpel <[email-masked]>
> > Acked-by: Daniel Borkmann <[email-masked]>
> > Acked-by: David Beckett <[email-masked]>
> > Acked-by: Jakub Kicinski <[email-masked]>
> > Acked-by: Joe Stringer <[email-masked]>
> > Acked-by: John Fastabend <[email-masked]>
> > Acked-by: Martin KaFai Lau <[email-masked]>
> > Acked-by: Quentin Monnet <[email-masked]>
> > Acked-by: Thomas Graf <[email-masked]>
> > Acked-by: Roman Gushchin <[email-masked]>
> > Acked-by: Wang Nan <[email-masked]>
> > Acked-by: Yonghong Song <[email-masked]>  
> 
> Applied to bpf-next, thanks!

For the public record:
 Acked-by: Jesper Dangaard Brouer <[email-masked]>

I do know, this ack will not reach the git-log, but given I have code
in the lib, I want to show that I support and ack this re-license.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer